package com.goafanti.achievement.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;
import com.goafanti.common.model.Achievement;

public class AchievementOrgOwnerDetailBo extends Achievement {
	private String	iOwnerName;

	private String	iOwnerIdNumber;

	private String	iOwnerMobile;

	private String	iOwnerEmail;

	private String	iOwnerPostalAddress;
	
	private Integer hot;
	
	private String coverImg;
	
	public String getiOwnerPostalAddress() {
		return iOwnerPostalAddress;
	}

	public void setiOwnerPostalAddress(String iOwnerPostalAddress) {
		this.iOwnerPostalAddress = iOwnerPostalAddress;
	}

	public String getiOwnerName() {
		return iOwnerName;
	}

	public void setiOwnerName(String iOwnerName) {
		this.iOwnerName = iOwnerName;
	}

	public String getiOwnerIdNumber() {
		return iOwnerIdNumber;
	}

	public void setiOwnerIdNumber(String iOwnerIdNumber) {
		this.iOwnerIdNumber = iOwnerIdNumber;
	}

	public String getiOwnerMobile() {
		return iOwnerMobile;
	}

	public void setiOwnerMobile(String iOwnerMobile) {
		this.iOwnerMobile = iOwnerMobile;
	}

	public String getiOwnerEmail() {
		return iOwnerEmail;
	}

	public void setiOwnerEmail(String iOwnerEmail) {
		this.iOwnerEmail = iOwnerEmail;
	}
	
	@JsonFormat(shape = Shape.STRING)
	public Integer getHot() {
		return hot;
	}

	public void setHot(Integer hot) {
		this.hot = hot;
	}

	public String getCoverImg() {
		return coverImg;
	}

	public void setCoverImg(String coverImg) {
		this.coverImg = coverImg;
	}
}
